Package org.opensaml.xacml.policy

# Interface AttributeAssignmentType

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `AttributeValueType`, `ElementExtensibleXMLObject`, `ExpressionType`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `AttributeAssignmentTypeImpl`

public interface AttributeAssignmentType extends AttributeValueType
XACML AttributeAssignment schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_ID_ATTRIB_NAME`
Id of the attribute to be assign .
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element AttributeAssignment.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element AttributeAssignment.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.xacml.policy.AttributeValueType

`DATA_TYPE_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeId()`
Gets the ID of the attribute to be assigned.
`void`
`setAttributeId(String id)`
Sets the ID of the attribute to be assigned.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.xacml.policy.AttributeValueType

`getDataType, getValue, setDataType, setValue`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element AttributeAssignment.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element AttributeAssignment.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### ATTR_ID_ATTRIB_NAME

static final String ATTR_ID_ATTRIB_NAME
Id of the attribute to be assign .

See Also:
  - Constant Field Values

## Method Details

### getAttributeId

String getAttributeId()
Gets the ID of the attribute to be assigned.

Returns:
  ID of the attribute to be assigned

### setAttributeId

void setAttributeId(String id)
Sets the ID of the attribute to be assigned.

Parameters:
  `id` - ID of the attribute to be assigned